## Function add_common_attributes

boost::log::add_common_attributes — Simple attribute initialization routine.

## Synopsis

    // In header: <boost/log/utility/setup/common_attributes.hpp>

    void add_common_attributes();

## Description

The function adds commonly used attributes to the logging system. Specifically, the following attributes are registered globally:

- LineID - logging records counter with value type `unsigned int`

- TimeStamp - local time generator with value type `boost::posix_time::ptime`

- ProcessID - current process identifier with value type `attributes::current_process_id::value_type`

- ThreadID - in multithreaded builds, current thread identifier with value type `attributes::current_thread_id::value_type`